Subject: Re: [PATCH net-next v2 1/2] eth: fbnic: Add ethtool support for fbnic

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Aug 2024 11:18:16 -0700

On Wed, 28 Aug 2024 10:49:06 -0700 Mohsin Bashir wrote:
> > Isn't it cleaner to have it in sth like fbnic_ethtool.h file? Probably
> > you will have more functions there in the future.
>
> It would definitely be cleaner if have a large number of functions which 
> isn't the case hence, did not add fbnic_ethtool.h

To further clarify, if I'm grepping right - the more fully featured
"prototype" driver out of tree only exposes this one function from 
fbnic_ethtool.c

Most ethtool functions get hooked in via ops, and ethtool code calls
out, rather than getting called by the driver itself. So it's probably
fine (and I only mean in this particular case, IDK if all the headers
in fbnic are well organized, it's been a while.)